Page MenuHomePhabricator

Reduce the number of replicas for some titlesuggest indices
Closed, ResolvedPublic

Description

We should try to reduce the number of replicas for such indices, these settings were set when the completion suggest was rolled out to production. According to server load I think we can review these settings and reduce memory usage to allow adding more features (e.g. defaultsort/subphrases)

Event Timeline

dcausse created this task.Oct 3 2016, 12:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
dcausse renamed this task from Reduce the number of replicas for dewiki and enwiki titlesuggest indices to Reduce the number of replicas for some titlesuggest indices.Oct 3 2016, 1:15 PM
dcausse claimed this task.
dcausse moved this task from needs triage to Current work on the Discovery-Search board.

Change 313800 had a related patch set uploaded (by DCausse):
Reduce number of replicas for titlesuggest indices

https://gerrit.wikimedia.org/r/313800

Change 313800 merged by jenkins-bot:
Reduce number of replicas for titlesuggest indices

https://gerrit.wikimedia.org/r/313800

Mentioned in SAL (#wikimedia-operations) [2016-10-03T23:15:31Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:313800|Reduce number of replicas for titlesuggest indices (T147192)]] (duration: 00m 51s)

debt closed this task as Resolved.Oct 7 2016, 9:15 PM